cov.nma {bio3d} | R Documentation

## Calculate Covariance Matrix from Normal Modes

### Description

Calculate the covariance matrix from a normal mode object.

### Usage

    ## S3 method for class 'nma'
    cov(nma)
    ## S3 method for class 'enma'
    cov(enma, ncore=NULL)

### Arguments

`nma` | an `nma` object as obtained from function `nma.pdb`.
`enma` | an `enma` object as obtained from function `nma.pdbs`.
`ncore` | number of CPU cores used to do the calculation. `ncore>1` requires package ‘parallel’ installed.

### Details

This function calculates the covariance matrix from a `nma` object as obtained from function `nma.pdb` or covariance matrices from a `enma` object as obtain from function `nma.pdbs`.

### Value

Returns the calculated covariance matrix (function `cov.nma`), or covariance matrices (function `cov.enma`).

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696. Fuglebakk, E. et al. (2013) JCTC 9, 5618–5628.

### See Also

`nma`

[Package bio3d version 2.3-4 Index]